package com.persagy.proxy.adm.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 扩展属性
 * @author Charlie Yu
 * @data 2021-08-28
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.FIELD})
public @interface CascadeColumn {

    /** 图编码 */
    String graphCode() default "";
    /** 边编码 */
    String relCode() default "";
    /** 边值 */
    String relValue() default "";
    /** 是否为查询to对象 */
    boolean selectToObj() default true;
}
